Embedded Tax API

Accounts

Server-to-server partner endpoints under https://api.awaken.tax/api.

GET

/users/{referenceId}/accounts

List a user's accounts

StatusMeaning
200Compact account list
404The resource was not found for the authenticated partner
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/accounts" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"
POST

/users/{referenceId}/accounts

Add wallet accounts

FieldTypeRequiredNotes
walletsarrayYes
Request body
{
"wallets": [
{
"address": "0xabc…",
"chain": "ethereum",
"name": "Treasury"
}
]
}
StatusMeaning
201Supported accounts created
400Invalid wallet or 10-account limit reached
curl
curl -X POST "https://api.awaken.tax/api/users/:referenceId/accounts" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json" \
--data '{ "wallets": [ { "address": "0xabc…", "chain": "ethereum", "name": "Treasury" } ] }'
GET

/users/{referenceId}/account_syncs

List account syncs and current account states

StatusMeaning
200Sync jobs and account statuses
404The resource was not found for the authenticated partner
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/account_syncs" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"
POST

/users/{referenceId}/account_syncs

Start account syncs

FieldTypeRequiredNotes
account_idsarrayNo
accountIdsarrayNo
Request body
{
"account_ids": [
"4e0761cc-e588-4e72-8dc7-49fd186ef10d"
]
}
StatusMeaning
202Syncs accepted
400Validation failed
curl
curl -X POST "https://api.awaken.tax/api/users/:referenceId/account_syncs" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json" \
--data '{ "account_ids": [ "4e0761cc-e588-4e72-8dc7-49fd186ef10d" ] }'
GET

/users/{referenceId}/account_syncs/{syncId}

Retrieve one account sync

StatusMeaning
200Sync progress
404The resource was not found for the authenticated partner
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/account_syncs/:syncId" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"